<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Danh sách nhân viên</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>
    <div class="container">
        <table class="employee-table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>FirstName</th>
                    <th>LastName</th>
                    <th>Ảnh</th>
                </tr>
            </thead>
            <tbody id="employee-table-body">
            </tbody>
        </table>
    </div>
</body>

<script>
    var gEmployeeList = `{
        "employees": {
            "employee": [
            {
                "id": "1",
                "firstName": "Tom",
                "lastName": "Cruise",
                "photo": "https://jsonformatter.org/img/tom-cruise.jpg"
            },
            {
                "id": "2",
                "firstName": "Maria",
                "lastName": "Sharapova",
                "photo": "https://jsonformatter.org/img/Maria-Sharapova.jpg"
            },
            {
                "id": "3",
                "firstName": "Robert",
                "lastName": "Downey Jr.",
                "photo": "https://jsonformatter.org/img/Robert-Downey-Jr.jpg"
            }
            ]
        }
    }`;

    $(document).ready(function() {
        var employeeList = JSON.parse(gEmployeeList);

        $.each(employeeList.employees.employee, function(index, employee) {
            var row = $("<tr/>");
            $("#employee-table-body").append(row);
            row.append($("<td/>").text(employee.id));
            row.append($("<td/>").text(employee.firstName));
            row.append($("<td/>").text(employee.lastName));
            row.append($("<td/>").html('<img src="' + employee.photo + '">'));
        });
    });
</script>

<style>
    .employee-table {
        width: 100%;
        border-collapse: collapse;
    }
    .employee-table th, .employee-table td {
        padding: 8px;
        border: 1px solid #ddd;
        text-align: left;
    }
    .employee-table th {
        background-color: #f2f2f2;
        font-weight: bold;
    }
    .employee-table img {
        max-width: 50px;
        max-height: 50px;
    }
</style>
</html>
